# Super-Basic Formatting Markup v. 1.4
# Copyright (C) 2011 Deborah Fitchett
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
########################################################################

# Italics
s/\\f[0-9]*\\i /\<i\>/g
s/\\f0\\i0 /\<\/i\>/g
s/{\\i \([^}]*\)}/\<i\>\1\<\/i\>/g
s/\\i /\<i\>/g
s/\\i0 /\<\/i\>/g

# Bold
s/\\f[0-9]*\\b /\<b\>/g
s/\\f0\\b0 /\<\/b\>/g
s/{\\b \([^}]*\)}/\<b\>\1\<\/b\>/g
s/\\b /\<b\>/g
s/\\b0 /\<\/b\>/g

# Underline
s/{\\ul \([^}]*\)}/\<u\>\1\<\/u\>/g
s/\\ul /\<u\>/g
s/\\ulnone /\<\/u\>/g

# Superscript
s/{\\super \([^}]*\)}/\<sup\>\1\<\/sup\>/g
s/\\super \([^\]*\)\\nosupersub /\<sup\>\1\<\/sup\>/g

# Subscript
s/{\\sub \([^}]*\)}/\<sub\>\1\<\/sub\>/g
s/\\sub \([^\]*\)\\nosupersub /\<sub\>\1\<\/sub\>/g

# Smartquotes etc
s/\\\'91/'/g
s/\\\'92/'/g
s/\\\'93/"/g
s/\\\'94/"/g
s/\\\'96/-/g
s/\\\'97/-/g
s/\\page/\\par/g

# Linebreaks
s/\\u8232/\\par/g